libzypp 17.37.10

checksumwf.cc File Reference
`#include "checksumwf.h"`
`#include "logichelpers.h"`
`#include <zypp-core/Date.h>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/CheckSum.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <utility>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp-media/FileCheckException>`
`#include <zypp-media/ng/Provide>`
`#include <zypp/Digest.h>`
`#include <zypp/ng/Context>`
`#include <zypp/ng/reporthelper.h>`
`#include <zypp/ng/UserRequest>`
`#include <map>`

Go to the source code of this file.

## Classes
struct | zyppng::CheckSumWorkflow::CheckSumWorkflowLogic< Executor, OpType >

## Namespaces
namespace | zyppng
namespace | zyppng::CheckSumWorkflow

## Functions
expected< void > | zyppng::CheckSumWorkflow::verifyChecksum (SyncContextRef zyppCtx, zypp::CheckSum checksum, zypp::Pathname file)
AsyncOpRef< expected< void > > | zyppng::CheckSumWorkflow::verifyChecksum (ContextRef zyppCtx, zypp::CheckSum checksum, zypp::filesystem::Pathname file)
std::function< AsyncOpRef< expected< ProvideRes > >(ProvideRes &&)> | zyppng::CheckSumWorkflow::checksumFileChecker (ContextRef zyppCtx, zypp::CheckSum checksum)
std::function< expected< SyncProvideRes >(SyncProvideRes &&)> | zyppng::CheckSumWorkflow::checksumFileChecker (SyncContextRef zyppCtx, zypp::CheckSum checksum)